> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List cross-service edges.

> List cross-service edges.



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/experimental/edges
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/experimental/edges:
    get:
      tags:
        - experimental
      summary: List cross-service edges.
      description: List cross-service edges.
      operationId: getExperimentalEdges
      parameters:
        - in: query
          name: namespace
          required: false
          schema:
            type: string
          description: Optional namespace to scope returned edges.
        - in: query
          name: source
          required: false
          schema:
            type: string
          description: >-
            Filter edges by source component name (case-insensitive substring
            match).
        - in: query
          name: sink
          required: false
          schema:
            type: string
          description: >-
            Filter edges by destination component name (case-insensitive
            substring match).
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LineageEdgeListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    LineageEdgeListResponse:
      type: object
      description: Response containing a list of edge resources.
      properties:
        edges:
          type: array
          items:
            $ref: '#/components/schemas/LineageEdge'
      required:
        - edges
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
    LineageEdge:
      type: object
      description: >
        A cross-service edge connecting two components. This schema is used for
        both read (GET) and write (POST/PUT) operations to enable round-trip
        editing. Fields marked readOnly are returned by GET but ignored on
        POST/PUT. Fields marked writeOnly are accepted on POST/PUT but not
        returned in GET.
      properties:
        id:
          type: string
          readOnly: true
          description: Server-assigned edge ID.
        kind:
          type: string
          readOnly: true
          description: >
            Classification of this edge. Maps to DynamoDB EdgeSchema.Type which
            is constrained to enum('cross_service') — the only value today.
          example: cross_service
        namespace:
          type: string
          description: The namespace this edge belongs to.
        source:
          $ref: '#/components/schemas/EdgeBoundary'
        destination:
          $ref: '#/components/schemas/EdgeBoundary'
        field_mappings:
          type: array
          description: Field-level mappings captured on this edge.
          minItems: 1
          items:
            $ref: '#/components/schemas/LineageEdgeFieldMapping'
        reason:
          type: string
          writeOnly: true
          description: >-
            Optional reason for creating or updating this edge (stored in audit
            trail, not returned in GET).
      required:
        - source
        - destination
        - field_mappings
    EdgeBoundary:
      type: object
      description: One side (source or destination) of a cross-service edge.
      properties:
        component_id:
          type: string
          format: uuid
          description: The component UUID.
        component_name:
          type: string
          description: The human-readable component name.
        payload_name:
          type: string
          description: The payload name associated with this endpoint.
        kind:
          type: string
          description: >
            The kind of boundary this endpoint represents. Maps to DynamoDB
            Source.Type / Destination.Type (unconstrained string). Values:
            'egress' (source code boundary), 'ingress' (destination code
            boundary), 'DATA_STORE' (data store component).
        xgress_id:
          type: string
          description: The resolved egress or ingress ID, if available.
      required:
        - component_id
        - component_name
        - payload_name
        - kind
    LineageEdgeFieldMapping:
      type: object
      description: A field-level mapping on a cross-service edge.
      properties:
        source_field:
          type: string
          description: The field name on the source side of the edge.
        destination_field:
          type: string
          description: The field name on the destination side of the edge.
        notes:
          type: string
          description: Optional notes about this field mapping.
      required:
        - source_field
        - destination_field
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````